Group: Networking/WWW
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global srcname jabber_roster

Name:           jabber-roster
Version:        0.1.1
Release:        alt1_16
Summary:        A Python tool for listing your Jabber roster contacts

License:        AGPLv3
URL:            https://github.com/kparal/jabber-roster
Source0:        http://launchpad.net/%{name}/trunk/%{version}/+download/%{name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python-devel
BuildRequires:  python-module-pkg_resources python-module-setuptools

Requires:       python-module-xmpp
Source44: import.info

%description
A small Python tool for listing your Jabber roster contacts. You can
use it to easily backup list of your buddies.

%prep
%setup -q
sed -i -e '/^#!\//, 1d' jabber_roster.py

%build
%python_build

%install
%python_install

%files
%doc README
%{_bindir}/%{name}
%{python_sitelibdir_noarch}/%{srcname}.p*
%{python_sitelibdir_noarch}/%{srcname}-*.egg-info

%changelog
* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 0.1.1-alt1_16
- update to new release by fcimport

* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 0.1.1-alt1_15
- update to new release by fcimport

* Thu Mar 08 2018 Igor Vlasenko <viy@altlinux.ru> 0.1.1-alt1_14
- update to new release by fcimport

* Tue Feb 20 2018 Igor Vlasenko <viy@altlinux.ru> 0.1.1-alt1_13
- update to new release by fcimport

* Wed Sep 27 2017 Igor Vlasenko <viy@altlinux.ru> 0.1.1-alt1_12
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 0.1.1-alt1_11
- update to new release by fcimport

* Fri Sep 30 2016 Igor Vlasenko <viy@altlinux.ru> 0.1.1-alt1_10
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 0.1.1-alt1_9
- update to new release by fcimport

* Mon Sep 21 2015 Igor Vlasenko <viy@altlinux.ru> 0.1.1-alt1_8
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 0.1.1-alt1_7
- update to new release by fcimport

* Tue Aug 27 2013 Igor Vlasenko <viy@altlinux.ru> 0.1.1-alt1_6
- update to new release by fcimport

* Fri Jul 12 2013 Igor Vlasenko <viy@altlinux.ru> 0.1.1-alt1_5
- update to new release by fcimport

* Fri Mar 08 2013 Igor Vlasenko <viy@altlinux.ru> 0.1.1-alt1_4
- update to new release by fcimport

* Thu Jan 24 2013 Igor Vlasenko <viy@altlinux.ru> 0.1.1-alt1_3
- initial fc import

